VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Macros | Functions | Variables
prefetchablesupport/source/plugentry.cpp File Reference
`#include "plug.h"`
`#include "plugcontroller.h"`
`#include "plugcids.h"`
`#include "version.h"`
`#include "public.sdk/source/main/pluginfactory.h"`

## Macros
#define | stringPluginName "Test Prefetchable Support"

## Functions
| BEGIN_FACTORY_DEF ("Steinberg Media Technologies","http://www.steinberg.net","mailto:info@steinberg.de") DEF_CLASS2(INLINE_UID_FROM_FUID(PlugProcessorUID)

## Variables
| kVstAudioEffectClass
Test Prefetchable | Support
Test Prefetchable | Fx
Test Prefetchable | FULL_VERSION_STR
Test Prefetchable | kVstVersionString

## Macro Definition Documentation

#define stringPluginName "Test Prefetchable Support"

## Function Documentation

BEGIN_FACTORY_DEF | ( | "Steinberg Media Technologies" | ,
|  | "http://www.steinberg.net" | ,
|  | "mailto:info@steinberg.de" |
| ) |  |

## Variable Documentation

kVstAudioEffectClass

Test Prefetchable Support

Test Prefetchable Fx

Test Prefetchable FULL_VERSION_STR

Test Prefetchable kVstVersionString

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.